/*
  Blink 2s
  Turns on an LED on for twoe seconds, then off for two seconds,
  repeatedly. Using Narcoleptic we draw 0.3 mA in LOW state.
  Without it we draw 16 mA in LOW state.
 
  This example code is in the public domain.
 */

#include <Narcoleptic.h>

// Pin 13 has an LED connected on most Arduino boards.
// give it a name:
const int led = 13;

// the setup routine runs once when you press reset:
void setup() {                
  // initialize the digital pin as an output.
  pinMode(led, OUTPUT); 

  Narcoleptic.disableTimer1();
  Narcoleptic.disableTimer2();
  Narcoleptic.disableSerial();
  Narcoleptic.disableADC();
  Narcoleptic.disableWire();
  Narcoleptic.disableSPI();  
}

// the loop routine runs over and over again forever:
void loop() {
  // 0.3 mA ATmega328P
  // + current in LED
  digitalWrite(led, HIGH);   // turn the LED on (HIGH is the voltage level)
  Narcoleptic.delay(2000);   // wait for two seconds

  // 0.3 mA ATmega328P
  // + no current in LED
  digitalWrite(led, LOW);    // turn the LED off by making the voltage LOW
  Narcoleptic.delay(2000);   // wait for a two seconds
}
